Bug 132080 - system-config-samba 1.2.9-2 does not recognize keywords in smb.cfg from 3.0.6-2.fc2
system-config-samba 1.2.9-2 does not recognize keywords in smb.cfg from 3.0.6...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 13:45 EDT by Lech Lobocki
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 11:49:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lech Lobocki 2004-09-08 13:45:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
system-config-samba 1.2.9-2 does not recognize keyword 'cups options'
in the smb.conf coming with the 3.0.6 Samba update. 

Version-Release number of selected component (if applicable):
1.2.9-2

How reproducible:
Always

Steps to Reproduce:
1. Install samba update 3.0.6
2. run system-config-samba
3.
    

Actual Results:  crashes with traceback:
   File "/usr/share/system-config-samba/system-config-samba.py", line
38, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/system-config-samba/mainWindow.py", line 75, in
__init__
    self.samba_data = sambaParser.SambaParser(self)
  File "/usr/share/system-config-samba/sambaParser.py", line 40, in
__init__
    self.parseFile()
  File "/usr/share/system-config-samba/sambaParser.py", line 71, in
parseFile
    token = self.createToken(line)
  File "/usr/share/system-config-samba/sambaParser.py", line 143, in
createToken
    token =
sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL, (name,
value), self.parent)
  File "/usr/share/system-config-samba/sambaToken.py", line 36, in
__init__
    raise AttributeError, value
AttributeError: ('cups options', 'raw')



Expected Results:  accept the line

Additional info:
Comment 1 Nils Philippsen 2004-09-15 08:45:43 EDT
Should be fixed in system-config-samba-1.2.15 which should hit
updates-testing shortly.

Note You need to log in before you can comment on or make changes to this bug.